import request from '@/config/axios'

// 查询产品列表
export function listProduct(query) {
  return request.get({
    url: '/rq/iot-product/list',
   
    params: query
  })
}

// 查询产品列表
export function listShortProduct() {
  return request.get({
    url: '/rq/iot-product/shortList',
    
  })
}

// 查询产品详细
export function getProduct(productId) {
  return request.get({
    url: `/rq/iot-product/get?id=${productId}`,
  })
}

// 新增产品
export function addProduct(data) {
  return request.post({
    url: '/rq/iot-product',
   
    data: data
  })
}

// 修改产品
export function updateProduct(data) {
  return request.put({
    url: '/rq/iot-product',
   
    data: data
  })
}

// 获取产品下设备的数量
export function deviceCount(productId) {
  return request.get({
    url: '/rq/iot-product/deviceCount/' + productId,
    
  })
}

// 更新产品状态
export function changeProductStatus(data) {
  return request.put({
    url: '/rq/iot-product/status',
   
    data:data
  })
}

// 删除产品
export function delProduct(productId) {
  return request.delete({
    url: '/rq/iot-product/' + productId,
    
  })
}

// 根据采集点模板id查询所有产品
export function selectByTempleId(params) {
  return request.get({
    url: '/rq/iot-product/queryByTemplateId',
    
    params: params
  })
}
